extends ../base.jade

block scripts
  script(src="//cdn.ckeditor.com/4.4.5/standard-all/ckeditor.js")

block vars
  - var page = 'edit'
  - var schema = [{name: 'contact_id',type: 'hidden'},{name: 'id',value: user.id,type: 'hidden'},{name: 'locale',type: 'select',select_type: 'single',enum: ['ru', 'en'],title: __('how_lang')},{name: 'last_name',type: 'string',title: __('last_name'),required: true},{name: 'first_name',type: 'string',title: __('first_name'),required: true},{name: 'second_name',type: 'string',title: __('second_name')},{name: 'avatar',title: __('avatar'),type: 'file', file_type:'avatar'},{name: 'title',type: 'string',title: __('degree')},{name: 'job_title',type: 'string',title: __('job_title')},{name: 'legend',type: 'text',title: __('about_yourself')},{name: 'sex',type: 'select',select_type: 'single',enum: ['male', 'female'],title: __('sex')},{name: 'birthday',title: __('birthday'),type: 'date'},{name: 'is_bd_visible',title: __('is_bd_visible'),type: 'boolean'},{name: 'educations',title: __('education'),type: 'array',array_type: 'json',items: [{name: 'id',type: 'hidden'},{name: 'user_id',type: 'hidden'},{name: 'city',title: __('city'),type: 'string'},{name: 'place',title: __('education_place'),type: 'string',required: true},{name: 'profession',type: 'string',title: __('profession'),required: true},{name: 'start_date',type: 'date',title: __('date_start')},{name: 'end_date',type: 'date',title: __('date_end')}]},{name: 'contact',type: 'json',title: __('contact_m'),items: [{name: 'id',type: 'hidden'},{name: 'city',title: __('city'),type: 'string'},{name: 'fields',title: __('additional_fields'),type: 'array',array_type: 'json',items: [{name: 'id',type: 'hidden'},{name: 'type',type: 'select',select_type: 'single',enum: ['skype', 'email', 'mobile_phone', 'city_phone', 'global_phone', 'vkontakte', 'facebook', 'twitter', 'linkedid', 'google', 'webpage', 'address'],title: __('data_type'),required: true},{name: 'value',title: __('value'),type: 'string',required: true}]}]}]
  //- - var schema = [
  //-   {
  //-     name: 'id',
  //-     value: user.id,
  //-     type: 'hidden'
  //-   },
  //-   {
  //-     name: 'locale',
  //-     type: 'select',
  //-     select_type: 'single',
  //-     enum: ['ru', 'en'],
  //-     title: __('how_lang')
  //-   },
  //-   {
  //-     name: 'last_name',
  //-     type: 'string',
  //-     title: __('last_name'),
  //-     required: true
  //-   },
  //-   {
  //-     name: 'first_name',
  //-     type: 'string',
  //-     title: __('first_name'),
  //-     required: true
  //-   },
  //-   {
  //-     name: 'second_name',
  //-     type: 'string',
  //-     title: __('second_name')
  //-   },
  //-   {
  //-     name: 'avatar',
  //-     title: __('avatar'),
  //-     type: 'file',
  //-     file_type: 'avatar'
  //-   },
  //-   {
  //-     name: 'title',
  //-     type: 'string',
  //-     title: __('degree')
  //-   },
  //-   {
  //-     name: 'job_title',
  //-     type: 'string',
  //-     title: __('job_title')
  //-   },
  //-   {
  //-     name: 'legend',
  //-     type: 'text',
  //-     title: __('about_yourself')
  //-   },
  //-   {
  //-     name: 'sex',
  //-     type: 'select',
  //-     select_type: 'single',
  //-     enum: ['male', 'female'],
  //-     title: __('sex')
  //-   },
  //-   {
  //-     name: 'birthday',
  //-     title: __('birthday'),
  //-     type: 'date'
  //-   },
  //-   {
  //-     name: 'is_bd_visible',
  //-     title: __('is_bd_visible'),
  //-     type: 'boolean'
  //-   },
  //-   {
  //-     name: 'educations',
  //-     title: __('education'),
  //-     type: 'array',
  //-     array_type: 'json',
  //-     items: [
  //-       {
  //-         name: 'id',
  //-         type: 'hidden'
  //-       },
  //-       {
  //-         name: 'user_id',
  //-         type: 'hidden'
  //-       },
  //-       {
  //-         name: 'city',
  //-         title: __('city'),
  //-         type: 'string'
  //-       },
  //-       {
  //-         name: 'place',
  //-         title: __('education_place'),
  //-         type: 'string',
  //-         required: true
  //-       },
  //-       {
  //-         name: 'profession',
  //-         type: 'string',
  //-         title: __('profession'),
  //-         required: true
  //-       },
  //-       {
  //-         name: 'start_date',
  //-         type: 'date',
  //-         title: __('date_start')
  //-       },
  //-       {
  //-         name: 'end_date',
  //-         type: 'date',
  //-         title: __('date_end')
  //-       }
  //-     ]
  //-   },
  //-   {
  //-     name: 'contact_id',
  //-     type: 'hidden'
  //-   },
  //-   {
  //-     name: 'contact',
  //-     type: 'json',
  //-     title: __('contact_m'),
  //-     items: [
  //-       {
  //-         name: 'id',
  //-         type: 'hidden'
  //-       },
  //-       {
  //-         name: 'city',
  //-         title: __('city'),
  //-         type: 'string'
  //-       },
  //-       {
  //-         name: 'fields',
  //-         title: __('additional_fields'),
  //-         type: 'array',
  //-         array_type: 'json',
  //-         items: [
  //-           {
  //-             name: 'id',
  //-             type: 'hidden'
  //-           },
  //-           {
  //-             name: 'type',
  //-             type: 'select',
  //-             select_type: 'single',
  //-             enum: ['skype', 'email', 'mobile_phone', 'city_phone', 'global_phone', 'vkontakte', 'facebook', 'twitter', 'linkedid', 'google', 'webpage', 'address'],
  //-             title: __('data_type'),
  //-             required: true
  //-           },
  //-           {
  //-             name: 'value',
  //-             title: __('value'),
  //-             type: 'string',
  //-             required: true
  //-           }
  //-         ]
  //-       }
  //-     ]
  //-   }
  //- ]

block main
  .PW.isle
    //- pre= util.inspect(req.socket.parser)
    h2= __('edit_profile')
    form(method="POST", action= "/user/"+user.id)
      input(type="hidden", name="_csrf", value= _csrf)
      //- if session.user && (session.user.type === 'administrator' || session.user.type === 'moderator')
      //-   .list2Col
      //-     span.col1 Тип пользователя
      //-     .col2
      //-       select.a-selectize(name="type", data-selectize-type="single", data-selected= user.type, data-options='[{"id":"administrator","name":"Администратор"},{"id":"moderator","name":"Модератор"},{"id":"seo","name":"Сеошник"},{"id":"member","name":"Юзер"}]')
      != Html.edit_entity_form(user, schema, req.getLocale())
      button.button.active.UC(type="submit")= __('save_changes')